Subject: Re: Intel 7560 LTE Modem stops working after resuming from standby

From: Bagas Sanjaya <[email-masked]>
Date: Fri, 13 Oct 2023 07:04:07 +0700

On Thu, Oct 12, 2023 at 06:54:11PM +0200, Loic Poulain wrote:
> Hi Chetan,
> 
> On Thu, 12 Oct 2023 at 11:52, Bagas Sanjaya <[email-masked]> wrote:
> > I notice a regression report on Bugzilla [1]. Quoting from it:
> >
> > > I noticed a few days ago, after Fedora moved to Kernel 6.5, that my Intel LTE Modem was not working anymore after resuming from standby.
> > >
> > > The journal listed this error message multiple times:
> > > kernel: iosm 0000:01:00.0: msg timeout
> > >
> > > It took me a while to determine the root cause of the problem, since the modem did not work either in the following warm reboots.
> > > Only a shutdown revived the modem.
> > >
> > > I did a bisection of the error and I was able to find the culprit:
> > >
> > > [e4f5073d53be6cec0c654fac98372047efb66947] net: wwan: iosm: enable runtime pm support for 7560
> 
> Any quick fix for this issue? alternatively we will probably revert e4f5073d53.

Chetan can't be contacted as sending to his address bounces (error 550)
(had he left Intel?). Last message on LKML is this culprit patch [1].
Hence, revert for now.

Thanks.

[1]: https://lore.kernel.org/all/1b0829[email-masked]/

-- 
An old man doll... just what I always wanted! - Clara